/*
 *  ngtk/c/ngtk_stdbox.c
 *
 *  Copyright (C) 1998, 1999 Gabriel Fort <gabx@tfz.net>
 *
 */

/*----------------------------------------------------------------------------

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the 
    Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
    Boston, MA  02111-1307  USA.

----------------------------------------------------------------------------*/
#include <ngtk/ngtk.h>

void ngtk_commonbox(int cpair, int attr, char *title, char *prompt, char *msg)
{
    char *mesg[1];
    mesg[0] = (char *)malloc(256);

    snprintf(mesg[0], 255, "%s%s", prompt, msg);
    ngtk_auto_omnibox(cpair, attr, title, 1, mesg);

    free(mesg[0]);
}

void ngtk_errbox(char *errmsg)
{
    ngtk_commonbox(15, A_BOLD, "Error", "Error : ", errmsg); /* __CC__ */
}

