/*
 *  ngtk/test/info.c
 *
 *  Copyright (C) 1998, 1999 Gabriel Fort <gabx@tfz.net>
 *
 */

/*----------------------------------------------------------------------------
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
----------------------------------------------------------------------------*/
#include <ngtk/ngtk.h>
#include "ngtk_test.h"

void cleanup_info(void)
{
    ngtk_topbar(BLACK_F(WHITE_B), A_NORMAL, version_info, 0);
}

void info(void)
{
    char *info_strs[7] = {
        "NGTK",
        "The Ncurses GUI ToolKit",
        "Copyright (C)1998, 1999 Gabriel Fort",
		"This program is free software; it is distributed under",
		"the GNU General Public License, at least version 2,",
		"as published by the Free Software Foundation",
        NULL
    };

    ngtk_topbar(BLACK_F(WHITE_B), A_NORMAL, " Info, Press a key to continue ", 0);
    ngtk_auto_omnibox(BLACK_F(WHITE_B), A_NORMAL, "Info", 6, info_strs);
    cleanup_info();
}

void init_info(void)
{
    ngtk_register_key(NGTK_KEY_F(1), info, "F1", "Info", 1);
}
